package webotlet_16maj_otszaz_tomb;

/**
 *
 * https://webotlet.hu
 */

import java.util.Arrays;

public class Vasarlas
{
  private String[] termekek;
  private int osszeg;
  
  public Vasarlas( String[] tomb )
  {
    for( int i = 0; i < tomb.length; i++ )
    {
      if( tomb[i] == null )
      {
        termekek = new String[i];
        for( int j = 0; j < i; j++ )
        {
          termekek[j] = tomb[j];
        }
        break;
      }
    }
    
    // azert rendezem a termekek neveit nevsorba,
    // hogy az azonos nevuek egymas melle keruljenek,
    // igy majd konnyen meghatarozhatom, melyikbol hany darab van
    String csere;
    for( int i = 0; i < termekek.length-1; i++ )
    {
      for( int j = i+1; j < termekek.length; j++ )
      {
        if( termekek[i].compareTo(termekek[j]) > 0 )
        {
          csere = termekek[i];
          termekek[i] = termekek[j];
          termekek[j] = csere;
        }
      }
    }
    
    // termekek aranak osszege (melyikbol hany darab van)
    // nem lenyeges, hogy mi az a termek,
    // csak a darabszamuk a lenyeg, pl:
    // 2, 2, 1, 3 -> (950 + 950 + 500 + 1350)
    int db = 1;
    for( int i = 1; i < termekek.length; i++ )
    {
      if( !termekek[i].equals(termekek[i-1]) )
      {
        System.out.println(db+" "+termekek[i-1]);
        
        osszeg += ertek(db);
        db = 1;
      }
      else
      {
        db++;
      }
    }
    osszeg += ertek(db);
  }

  public String[] getTermekek()
  {
    return termekek;
  }

  public int getOsszeg()
  {
    return osszeg;
  }
  
  // megkeressuk, van-e adott termek a vasaroltak kozott
  public boolean vettek( String mit )
  {
    boolean van = false;
    for( int i = 0; i < termekek.length; i++ )
    {
      if( termekek[i].equals(mit) )
      {
        van = true;
        break;
      }
    }
    return van;
  }

  @Override
  public String toString()
  {
    return "Vasarlas{" + "termekek=" + Arrays.toString(termekek) +
      ", osszeg=" + osszeg + '}';
  }

// osztalymetodus, ami akkor is meghívhato, ha nincs peldany belole
  public static int ertek( int db )
  {
    if( db == 1 )
    {
      return 500;
    }
    else if( db == 2 )
    {
      return 950;
    }
    else
    {
      return 950+(db-2)*400;
    }
  }
}
