package webotlet_16maj_otszaz_tomb;

/**
 *
 * https://webotlet.hu
 */

import java.io.IOException;
import java.io.RandomAccessFile;
import java.util.Scanner;

public class Webotlet_16maj_otszaz_tomb
{
  public static void main(String[] args)
  {
        
    Vasarlas[] vasarlasok = null;
    
    try
    {
      RandomAccessFile raf = new RandomAccessFile("penztar.txt","r");
      String sor;
      int db = 0;
      for( sor = raf.readLine(); sor != null; sor = raf.readLine() )
      {
        if( sor.equals("F") )
        {
          db++;
        }
      }
      
      vasarlasok = new Vasarlas[db];
      raf.seek(0);

      db = 0;
      String[] termekek = new String[20];
      int tetelszam = 0;
      for( sor = raf.readLine(); sor != null; sor = raf.readLine() )
      {
        if( sor.equals("F") )
        {
          vasarlasok[db] = new Vasarlas(termekek);
          db++;
          termekek = new String[20];
          tetelszam = 0;
        }
        else
        {
          termekek[tetelszam] = sor;
          tetelszam++;
        }
      }
      
      raf.close();
    }
    catch( IOException e )
    {
      System.out.println("HIBA");
    }

    // 2. feladat
    System.out.println("2. feladat");
    System.out.println("A fizetesek szama: "+vasarlasok.length);

    // 3. feladat
    System.out.println("3. feladat");
    System.out.println("Az elso vasarlo "+vasarlasok[0].getTermekek().length+
      " darab arucikket vasarolt.");

    // 4. feladat
    System.out.println("4. feladat");
    Scanner sc = new Scanner(System.in);
    
    System.out.print("Adja meg egy vasarlas sorszamat! ");
    int sorszam = sc.nextInt();
    System.out.print("Adja meg egy arucikk nevet! ");

// szam utan String-et bekerni nyugos, ezert a szam utani sortorest
// beolvassuk, hogy atlepjunk rajta
    sc.nextLine();
    String cikk = sc.nextLine();
    System.out.print("Adja meg a vasarolt darabszamot! ");
    int darab = sc.nextInt();

    // 5. feladat
    System.out.println("5. feladat");
    
    for( int i = 0; i < vasarlasok.length; i++ )
    {
      if( vasarlasok[i].vettek(cikk) )
      {
        System.out.println("Az elso vasarlas sorszama: "+(i+1));
        break;
      }
    }

    for( int i = vasarlasok.length-1; i >= 0; i-- )
    {
      if( vasarlasok[i].vettek(cikk) )
      {
        System.out.println("Az elso vasarlas sorszama: "+(i+1));
        break;
      }
    }
    
    int db = 0;
    for( int i = 0; i < vasarlasok.length; i++ )
    {
      if( vasarlasok[i].vettek(cikk) )
      {
        db++;
      }
    }

    System.out.println(db+" vasarlas soran vettek belole.");

    // 6. feladat
    System.out.println("6. feladat");
    System.out.println(darab+" darab vetelekor fizetendo: "+
      Vasarlas.ertek(darab)); // osztalymetodus meghivasa

    // 7. feladat
    System.out.println("7. feladat");
    String[] termekek = vasarlasok[sorszam-1].getTermekek();
    db = 1;
    for( int i = 1; i < termekek.length; i++ )
    {
      if( !termekek[i].equals(termekek[i-1]) )
      {
        System.out.println(db+" "+termekek[i-1]);
        db = 1;
      }
      else
      {
        db++;
      }
    }
    System.out.println(db+" "+termekek[termekek.length-1]);

    try
    {
      RandomAccessFile raf = new RandomAccessFile("osszeg.txt","rw");
      for( int i = 0; i < vasarlasok.length; i++ )
      {
        raf.writeBytes((i+1)+": "+vasarlasok[i].getOsszeg()+"\n");
      }
      raf.close();
    }
    catch( IOException e )
    {
      System.out.println("HIBA");
    }
  }
}
